-- the squid  controller

module (..., package.seeall)

require("controllerfunctions")

default_action = "status"

status = function( self )
	return self.model.getstatus()
end

startstop = function( self )
	return controllerfunctions.handle_startstop(self, self.model.startstop_service, self.clientdata)
end

config = function( self )
	return controllerfunctions.handle_form(self, self.model.read_config, self.model.update_config, self.clientdata, "Save", "Edit Config", "Configuration Set")
end

digest = function( self )
	return controllerfunctions.handle_form(self, self.model.read_digest_userlist, self.model.update_digest_userlist, self.clientdata, "Save", "Edit User List", "User List Set")
end

enabledigestlist = function( self )
	return self:redirect_to_referrer(self.model.enable_digest_userlist())
end

expert = function( self )
	return controllerfunctions.handle_form(self, self.model.get_configfile, self.model.update_configfile, self.clientdata, "Save", "Edit Config", "Configuration Set")
end
--[[
saccess = function( self )

	local service = { message="", status="", config="" }
	
	if self.clientdata.cmd then
		if self.clientdata.cmd == "save" then
			local config = {}
			config.s_ip = self.clientdata.s_ip
			config.s_browser = self.clientdata.s_browser
			config.s_domain = self.clientdata.s_domain
			service.message = self.model.update_saccess( config )
		end
	end
	
	service.config = self.model.get_saccess()
	
	return ( cfe ({ service = service }) )
end

listacls = function( self )
	return self.model.read_acls()
end

editacl = function( self )
	return controllerfunctions.handle_form(self, function() return self.model.read_acl(self.clientdata.linenum) end, self.model.update_acl, self.clientdata, "Save", "Edit ACL", "ACL Saved")
end

deleteacl = function( self )
	return self:redirect_to_referrer(self.model.delete_acl(self.clientdata.linenum))
end
--]]

function listfiles(self)
	return self.model.listfiles(self)
end

function createfile(self)
	return controllerfunctions.handle_form(self, self.model.getnewfile, self.model.createfile, self.clientdata, "Create", "Create New Squid File", "Squid File Created")
end

function editfile(self)
	return controllerfunctions.handle_form(self, function() return self.model.readfile(self.clientdata.filename) end, self.model.updatefile, self.clientdata, "Save", "Edit Squid File", "Squid File Saved" )
end

function deletefile(self)
	return self:redirect_to_referrer(self.model.deletefile(self.clientdata.filename))
end
