<% local view, viewlibrary, page_info, session = ... 
require("viewfunctions")
%>

<% displaycommandresults({"editfile", "deletefile", "startstop"}, session) %>
<% displaycommandresults({"createfile"}, session, true) %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<H1>Files</H1>
<DL>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">File</TD>
	</TR>
<% for i,file in ipairs(view.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
		<% if viewlibrary.check_permission("editfile") then %>	
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/editfile?filename="..file.."&redir="..page_info.orig_action, label="Edit "} %>
		<% end %>
		<% if viewlibrary.check_permission("deletefile") then %>	
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/deletefile?filename="..file, label="Delete "} %>
		<% end %>
		</TD>
		<TD style="white-space:nowrap;"><%= html.html_escape(file) %></TD>
	</TR>
<% end %>
</TABLE>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("createfile") then
	local createform = viewlibrary.dispatch_component("createfile", nil, true) %>
<H2><%= html.html_escape(createform.label) %></H2>
<%
	createform.action = page_info.script .. page_info.prefix .. page_info.controller .. "/createfile"
	displayform(createform)
end %>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("startstop") then
	viewlibrary.dispatch_component("startstop")
end %>
