<% 
   local form = ... 
   local service = form.service
%>
<h1>Web Proxy - Special Access</h1>
<h2>General Information</h2>
<p>
  The squid web proxy server is normally configured to require authenticated access. In some cases, such
  as anti-virus update programs, the process cannot authenticate itself to the proxy server. For these
  <i>special</i> cases, it is possible to have squid allow anonymous access to the Internet.</p>
<p>You may choose to specify the special cases by specific ip address, browser identification or destination
  domain.
</p>

<form action="" method="POST">
<h2>Special IP Addresses</h2>
<p>
If you wish to specify hosts that may access the Internet by IP address, 
enter the address(es) in the box below, one per line.
</p>
<textarea name="s_ip"><%= html.html_escape( service.config.s_ip ) %></textarea>

<h2>Browser Identification</h2>
<p>
If you have a browser that identifies itself in a special way, you may 
specify it here. Note that any client identifying itself as this type 
of browser will be allowed anonymous access. Enter the browser identification(s) 
in the box below, one per line. Regular expressions are allowed.
</p>
<textarea name="s_browser"><%= html.html_escape( service.config.s_browser ) %></textarea>

<h2>Special Domains</h2>
<p>
If you have a specail domain that needs to be accessed in a special way, you 
may specify if here. This will allow anonymous access to the domains listed. 
Enter the domain url below. Regular expressions are allowed.
</p>
<textarea name="s_domain"><%= html.html_escape( service.config.s_domain ) %></textarea>

<h3>Save Changes</h3>
<dl>
<dt>Save changes of the above boxes</dt><dd><input class="submit" type="submit" name="cmd" value="save"></dd>
</dl>
</form>
